Feedback
Feedback accepts exactly one target id: reportId, jobId, or matchingAnalysisId.
Generated from contracts in
packages/contracts/src/v1. Do not hand-edit this page.
POST /v1/feedback
Create feedback entry and receive credit-discount receipt.
Request schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"reportId": {
"type": "string"
},
"jobId": {
"type": "string"
},
"matchingAnalysisId": {
"type": "string"
},
"rating": {
"type": "string",
"enum": [
"thumbs_up",
"thumbs_down"
]
},
"comment": {
"type": "string"
},
"corrections": {
"type": "array",
"items": {
"type": "object",
"properties": {
"path": {
"type": "string"
},
"expected": {},
"observed": {}
},
"required": [
"path"
],
"additionalProperties": false
}
},
"idempotencyKey": {
"type": "string"
}
},
"required": [
"rating"
],
"additionalProperties": false
}
Response schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"id": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"target": {
"type": "object",
"properties": {
"reportId": {
"type": "string"
},
"jobId": {
"type": "string"
},
"matchingAnalysisId": {
"type": "string"
}
},
"additionalProperties": false
},
"rating": {
"type": "string",
"enum": [
"thumbs_up",
"thumbs_down"
]
},
"comment": {
"type": "string"
},
"credits": {
"type": "object",
"properties": {
"eligible": {
"type": "boolean"
},
"reason": {
"type": "string"
},
"discountApplied": {
"type": "number"
},
"netUsed": {
"type": "number"
}
},
"required": [
"eligible",
"discountApplied",
"netUsed"
],
"additionalProperties": false
}
},
"required": [
"id",
"createdAt",
"target",
"rating",
"credits"
],
"additionalProperties": false
}